<?php

get();

function connectToDatabase(){
    require_once('db.php');
    $connection = new database();
        return $connection;

}


function get(){
    $connection = connectToDatabase();
    
    $id = $_REQUEST['id'];
    $key = $_REQUEST['key'];
    
	$result = $connection->q("select * from GiftCode where Code='$key'");
	$row=$connection->a($result);

	
	if($row[0]!="" && $connection->checkParameters($id)){
	    if($row['Model']=="1"){
	        if($row['Users']==""){
	            $usid = $row['Users'].'|'.$id.'|';
                $connection->q("update GiftCode set Users='$usid' where Code='$key'");
	            if($row['ModelGift']=="0"){
	                $connection->q("update users set Coin_Follow=Coin_Follow+".$row['Gift']." where ID='$id'");
                    print "شما توسط این کد هدیه ، تعداد ".$row['Gift']." سکه فالوئر دریافت کردید" ;
	            }else if($row['ModelGift']=="1"){
	                $connection->q("update users set Coin_Other=Coin_Other+".$row['Gift']." where ID='$id'");
                    print "شما توسط این کد هدیه ، تعداد ".$row['Gift']." سکه مشترک دریافت کردید" ;
	            }else if($row['ModelGift']=="2"){
	                $connection->q("update users set Coin_Follow=Coin_Follow+".$row['Gift'].",Coin_Other=Coin_Other+".$row['Gift']." where ID='$id'");
                    print "شما توسط این کد هدیه ، تعداد ".$row['Gift']." سکه فالوئر و مشترک دریافت کردید" ;
	            }
        	}else {
        	    print "masraf";
        	}
    	}else if($row['Model']=="0"){
    	    $result1 = $connection->q("select Users from GiftCode where Code='$key' and Users LIKE '%$id%'");
    	    $row1=$connection->a($result1);
    	    if($row1['Users']==""){
	            $usid = $row['Users'].'|'.$id.'|';
                $connection->q("update GiftCode set Users='$usid' where Code='$key'");
                if($row['ModelGift']=="0"){
	                $connection->q("update users set Coin_Follow=Coin_Follow+".$row['Gift']." where ID='$id'");
                    print "شما توسط این کد هدیه ، تعداد ".$row['Gift']." سکه فالوئر دریافت کردید" ;
	            }else if($row['ModelGift']=="1"){
	                $connection->q("update users set Coin_Other=Coin_Other+".$row['Gift']." where ID='$id'");
                    print "شما توسط این کد هدیه ، تعداد ".$row['Gift']." سکه مشترک دریافت کردید" ;
	            }else if($row['ModelGift']=="2"){
	                $connection->q("update users set Coin_Follow=Coin_Follow+".$row['Gift'].",Coin_Other=Coin_Other+".$row['Gift']." where ID='$id'");
                    print "شما توسط این کد هدیه ، تعداد ".$row['Gift']." سکه فالوئر و مشترک دریافت کردید" ;
	            }
    	    }else {
    	        print "masraf";
    	    }
    	}
        	
	   
	}else {
	    print "null";
	}
	
    
}


?>